Run pdftk on Ubuntu 18.04 or later

The convenient pdf manipulation tool pdftk is not available in Ubuntu 18.04 repositories because of some licensing incompatibilities. Using some docker magic and a small script we’ll use it as in previous Ubuntu releases, since it’s still available in 16.04 repositories. Here we will exploit the docker capabilities to run the pdftk binaries in the…

Custom php.ini to the docker library php using docker-compose config

An approach that adds additional ini files to be parsed by php by just adding two lines to your docker-compose.yml. It’s a convenient practice for small projects without ad-hoc tailoring to use prebuilt images from docker hub. Sometimes we need to change some php.ini settings for a php container, for example, increasing upload_max_filesize parameter. The…

docker-compose logs sorted by time

Trying to understand what’s happening inside your code running in multiple docker-compose containers by reading logs could be a terrible idea if log lines are outputted in a random manner. Which is true at least for docker-compose version 1.8.0, build 94f7016. This could be simply checked by running the following command several times. 1docker-compose logs|head Here…

Disable transparent HugePages in Ubuntu or Kubuntu for TokuDB on boot

To enable TokuDB engine in MariaDB one has to be sure that transparent hugepages are disabled. I assume you’ve already installed MariaDB and edited config files so that TokuDB should be enabled. Test if transparent hugepages are enabled or disabled: 1234root@sheershoff-kbnt:/etc# cat /sys/kernel/mm/transparent_hugepage/enabled always madvise [never] root@sheershoff-kbnt:/etc# cat /sys/kernel/mm/transparent_hugepage/defrag always madvise [never] If you see…

rrssb social share and vk.com

Most of the new and good social share buttons sets often lack russian social networks. So, I added vk.com to the Ridiculously Responsive Social Sharing Buttons. Also a patch adding vk.com for Drupal rrssb is submitted. My plans also include adding vk.com and updating corresponding WordPress plugin.

Debian Etch patch ShellShock (BashDoor) vulnerability

Generally speaking if your hosting is using Debian Etch nowadays it is time to consider moving to a more contemporary OS. Nevertheless, here are the instructions on how to patch bash on Debian Etch to fix the ShellShock vulnerability: 1234567891011121314151617181920212223242526272829303132333435363738#first find out the version you have so you know what to get for the patches…